/* 
 * Minitel 1B rear panel for Raspberry Pi
 * Copyright (c) 2016 by Paul-Louis Ageneau
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

width = 49;
height = 106;
thickness = 3;

rpi_hole_width = 20;
rpi_hole_height = 58-1;

union() {
    difference() {
        union() {
            translate([0, 0, -thickness/2]) cube([width, height, thickness], center = true);
            translate([rpi_hole_width/2+3, 0, thickness/2]) cube([3*2, rpi_hole_height+3*2, thickness], center = true);
        }
        
        cube([rpi_hole_width, rpi_hole_height, 100], center = true);
        translate([rpi_hole_width/2, 0, thickness]) cube([3*2, rpi_hole_height, 3*2], center = true);
    }
    
    translate([rpi_hole_width/2-4/2, 0, -thickness+1/2]) cube([4, rpi_hole_height, 1], center = true);
    
    union() {
        translate([width/2-10-1, height/2-3/2, 3/2]) {
            cube([20, 3, 3], center = true);
            translate([0, 1/2, 1.5/2]) cube([20, 4, 1.5], center = true);
        }
    }
    
    translate([-width/2+3/2+1, 1/2, 3/2]) cube([3, height-1, 3], center = true);
    translate([width/2-3/2-1, 1/2, 3/2]) cube([3, height-1, 3], center = true);
    
    difference() {
        translate([0, -height/2+20/2, 14/2]) cube([8, 20, 14], center = true);
        translate([0, -height/2+20, 14/2]) rotate([45, 0, 0]) cube([100, 20/sqrt(2), 100], center = true);
    }
    
    translate([0, -height/2+1, 14+1.5/2]) cube([8, 4, 1.5], center = true);
}