/* 
 * Minitel 1B support for Raspberry Pi
 * Copyright (c) 2016 by Paul-Louis Ageneau
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

width = 58-1;
height = 88-3-1.5;
thickness = 3;

translate([0, -50, 0]) union() {
    difference() {
        translate([0, height/2+3, -thickness/2]) cube([width, height, thickness], center = true);
        translate([0, height/2+3, -thickness/2]) cube([width-8*2, height-8*2, 100], center = true);
    }
    
    translate([-60/2+5, 25, 0]) screw(3);
    translate([60/2-5, 25, 0]) screw(3);
    translate([60/2-5, 83, 0]) screw(3);
    translate([-60/2+5, 83, 0]) screw(3);
}

// Build a screw hole
module screw(height = 3)
{
    translate([0, 0, height/2]) difference() {
            cylinder(h = height, r=3.20, center=true);
            cylinder(h = height+1, r=1.20, center=true);
    }
}
